<?php
	// Copyright Brian Quade, BQ Plugins 2012, bqplugins.com
	if (!defined ('ABSPATH'))
		die ();

	require_once 'bq-download-util.php';

	$nonce_name = BQDownloadUtil::create_nonce (41, 67);
	$ajax_nonce = wp_create_nonce ($nonce_name);
?>

<?php // this function is called in a different way than the other ajax callbacks ?>
// Copyright Brian Quade, BQ Plugins 2012, bqplugins.com
function bq_file_uploaded (response)
{
	bq_set_wait_cursor (false);

	if (typeof response.file_list != 'undefined')
		document.getElementById ('bq_download_files_table').innerHTML = response.file_list;
	bq_process_message (response);
}

function bq_file_deleted (response)
{
	bq_set_wait_cursor (false);

	if (!response.length)
		return;

	var obj = JSON.parse (response);

	if (typeof obj.file_list != 'undefined')
		document.getElementById ('bq_download_files_table').innerHTML = obj.file_list;
	bq_process_message (obj);
}

function bq_delete_file (file_id)
{
	bq_set_wait_cursor (true);
	BQAjaxMessage ('post', '<?php echo BQDownloadUtil::bq_get_option ('siteurl').'/wp-admin/admin-ajax.php'; ?>', { action: 'bq_download_admin', name: '<?php echo $nonce_name; ?>', nonce: '<?php echo $ajax_nonce; ?>', f: 'delete_file', file: file_id }, bq_file_deleted);
}

function bq_display_stats (response)
{
	bq_set_wait_cursor (false);

	if (!response.length)
		return;

	var obj = JSON.parse (response);
	if (typeof obj.stats != 'undefined')
		document.getElementById ('bq_download_file_stats_chart').innerHTML = obj.stats;
}

function bq_get_stats (period)
{
	bq_set_wait_cursor (true);
	BQAjaxMessage ('post', '<?php echo BQDownloadUtil::bq_get_option ('siteurl').'/wp-admin/admin-ajax.php'; ?>', { action: 'bq_download_admin', name: '<?php echo $nonce_name; ?>', nonce: '<?php echo $ajax_nonce; ?>', period: period, f: 'get_stats' }, bq_display_stats);
}

function bq_display_files (response)
{
	bq_set_wait_cursor (false);

	if (!response.length)
		return;

	var obj = JSON.parse (response);
	if (typeof obj.files != 'undefined')
		document.getElementById ('bq_download_files_table').innerHTML = obj.files;
}

function bq_sort_files (sort_key, sort_dir)
{
	bq_set_wait_cursor (true);
	BQAjaxMessage ('post', '<?php echo BQDownloadUtil::bq_get_option ('siteurl').'/wp-admin/admin-ajax.php'; ?>', { action: 'bq_download_admin', name: '<?php echo $nonce_name; ?>', nonce: '<?php echo $ajax_nonce; ?>', key: sort_key, dir: sort_dir, f: 'sort_files' }, bq_display_files);
}

function bq_get_files (change_key, change_value)
{
	bq_set_wait_cursor (true);
	BQAjaxMessage ('post', '<?php echo BQDownloadUtil::bq_get_option ('siteurl').'/wp-admin/admin-ajax.php'; ?>', { action: 'bq_download_admin', name: '<?php echo $nonce_name; ?>', nonce: '<?php echo $ajax_nonce; ?>', key: change_key, v: change_value, f: 'get_files' }, bq_display_files);
}

function bq_display_emails (response)
{
	bq_set_wait_cursor (false);

	if (!response.length)
		return;

	var obj = JSON.parse (response);
	if (typeof obj.emails != 'undefined')
		document.getElementById ('bq_download_emails_table').innerHTML = obj.emails;
}

function bq_sort_emails (sort_key, sort_dir)
{
	bq_set_wait_cursor (true);
	BQAjaxMessage ('post', '<?php echo BQDownloadUtil::bq_get_option ('siteurl').'/wp-admin/admin-ajax.php'; ?>', { action: 'bq_download_admin', name: '<?php echo $nonce_name; ?>', nonce: '<?php echo $ajax_nonce; ?>', key: sort_key, dir: sort_dir, f: 'sort_emails' }, bq_display_emails);
}

function bq_get_emails (change_key, change_value)
{
	bq_set_wait_cursor (true);
	BQAjaxMessage ('post', '<?php echo BQDownloadUtil::bq_get_option ('siteurl').'/wp-admin/admin-ajax.php'; ?>', { action: 'bq_download_admin', name: '<?php echo $nonce_name; ?>', nonce: '<?php echo $ajax_nonce; ?>', key: change_key, v: change_value, f: 'get_emails' }, bq_display_emails);
}

function bq_download_settings_saved (response)
{
	bq_set_wait_cursor (false);

	var obj = JSON.parse (response);
	bq_process_message (obj);
}

function bq_download_save_settings (return_email)
{
	bq_set_wait_cursor (true);
	BQAjaxMessage ('post', '<?php echo BQDownloadUtil::bq_get_option ('siteurl').'/wp-admin/admin-ajax.php'; ?>', { action: 'bq_download_admin', name: '<?php echo $nonce_name; ?>', nonce: '<?php echo $ajax_nonce; ?>', re: return_email, f: 'save_settings' }, bq_download_settings_saved);
}

