<!-- Copyright Brian Quade, BQ Plugins 2012, bqplugins.com -->
<?php
// Copyright Brian Quade, BQ Plugins 2012, bqplugins.com
if (!defined ('ABSPATH'))
	die ();

require_once 'bq-pager.php';
require_once 'bq-sorter.php';
require_once 'bq-chart-period.php';
?>
<div class="bq_chart_title">
	<?php echo $window_title; ?>
</div>

<?php if (!isset ($stats) || !is_array ($stats)): ?>
	<div style="border:1px solid #d4d4d4; background-color:#f9f9f9; margin-top:10px; width:400px; padding:3px 0; text-align:center;">
		There are no stats in the system yet.
	</div>
<?php
	exit;
	endif;

	$bar_width = 25;
	$bar_margin = 2;
	$bar_horiz_space = $bar_width + ($bar_margin * 2);
	$chart_width = count ($stats ['points']) * $bar_horiz_space; // add margins

	// determine the vertical scale of the chart
	$chart_height = 240; // pixels
	$num_str = (string) $stats ['high_value'];
	$num_len = strlen ($num_str);
	if ($stats ['high_value'] < 300)
		$divisor = 1;
	else
	{
		if ((int) ($num_str [0]) > 2)
			$divisor = pow (10, $num_len - 2);
		else
			$divisor = pow (10, $num_len - 3);
	}
	$v_scale_index = $stats ['high_value'] / $divisor;

	if ($v_scale_index < 10)
	{
		$division_points = 2;
		$best_division_count = 5;
	}
	else if ($v_scale_index < 20)
	{
		$division_points = 5;
		$best_division_count = 4;
	}
	else if ($v_scale_index < 30)
	{
		$division_points = 5;
		$best_division_count = 6;
	}
	else if ($v_scale_index < 60)
	{
		$division_points = 10 * $divisor;
		if ($v_scale_index < 40)
			$best_division_count = 4;
		else if ($v_scale_index < 50)
			$best_division_count = 5;
		else
			$best_division_count = 6;
	}
	else if ($v_scale_index < 150)
	{
		$division_points = 25 * $divisor;
		if ($v_scale_index < 75)
			$best_division_count = 3;
		else if ($v_scale_index < 100)
			$best_division_count = 4;
		else if ($v_scale_index < 125)
			$best_division_count = 5;
		else
			$best_division_count = 6;
	}
	else if ($v_scale_index < 300)
	{
		$division_points = 50 * $divisor;
		if ($v_scale_index < 200)
			$best_division_count = 4;
		else if ($v_scale_index < 250)
			$best_division_count = 5;
		else
			$best_division_count = 6;
	}
	$point_max = $division_points * $best_division_count;
	$division_pixels = $chart_height / $best_division_count;
	$points_per_pixel = $point_max / $chart_height;

	// calculate div widths and margins
	$v_scale_width = strlen ((string) $point_max) * 8;
	$v_scale_width_plus_margin = $v_scale_width + 12;

$chart_period = new BQChartPeriod ('file_downloads');
$bq_download_chart_period = $chart_period->get_period ();
?>

<?php // controls area ?>
<div style="text-align:center;">
	<div style="display:inline-block;">
		<div style="float:left;">
			View By:
<select onchange="bq_get_stats (this.options [this.selectedIndex].value);">
	<option value="hour" <?php if (strcmp ($bq_download_chart_period, 'hour') == 0) echo 'selected="selected"'; ?>>24 Hours</option>
	<option value="day" <?php if (strcmp ($bq_download_chart_period, 'day') == 0) echo 'selected="selected"'; ?>>30 Days</option>
	<option value="week" <?php if (strcmp ($bq_download_chart_period, 'week') == 0) echo 'selected="selected"'; ?>>26 Weeks</option>
	<option value="month" <?php if (strcmp ($bq_download_chart_period, 'month') == 0) echo 'selected="selected"'; ?>>24 Months</option>
</select>
		</div>
		<div style="clear:both;"></div>
	</div>
</div>

<?php // main chart area ?>
<div style="position:relative; margin-top:20px; margin-bottom:15px; width:<?php echo $chart_width + $v_scale_width_plus_margin; ?>px;">
	<?php // vertical scale ?>
	<div class="bq_chart_y_axis" style="width:<?php echo $v_scale_width; ?>px;">
		<div style="height:<?php echo $chart_height; ?>px; margin-right:4px;">
			<?php for ($d = $point_max; $d > 0; $d -= $division_points): ?>
				<div style="height:<?php echo $division_pixels; ?>px;">
					<div style="text-align:right;"><?php echo $d; ?></div>
				</div>
			<?php endfor; ?>
			<div style="text-align:right;">0</div>
		</div>
	</div>

	<?php // the chart itself ?>
	<div class="bq_chart_window" style="margin-left:<?php echo $v_scale_width + 6; ?>px; min-width:<?php echo $chart_width; ?>px; height:<?php echo $chart_height; ?>px;">
		<?php
			$is_week_view = false;
			$is_month_view = false;
			$period_increment = null;
			$x_axis_date_format = null;
			switch ($bq_download_chart_period)
			{
				case 'hour':
					$period_increment = 3600;
					$x_axis_date_format = 'ga';
					$bar_max = 24;
					break;
				case 'week':
					$period_increment = 604800;
					$bar_max = 26;
					$is_week_view = true;
					list ($week_start, $starting_at_temp, $highest_week_num) = explode ('|', $stats ['starting_at']);
					$stats ['starting_at'] = $starting_at_temp; // reset this
					break;
				case 'month':
					$x_axis_date_format = 'M y';
					$bar_max = 24;
					$is_month_view = true;
					break;
				case 'day':
				default:
					$period_increment = 86400;
					$x_axis_date_format = 'M j';
					$bar_max = 30;
					break;
			}

			// weekend shading, for day view only
			if (strcmp ($bq_download_chart_period, 'day') == 0):
				$time = $stats ['starting_at'];
				for ($bar = 0; $bar < count ($stats ['points']); $bar++):
					$day_of_week = date ('N', $time);
					if ($day_of_week > 5):
						$margin_left = $bar_horiz_space * $bar;
		?>
						<div class="bq_chart_weekend_shading" style="margin-left:<?php echo $margin_left; ?>px; width:<?php echo $bar_horiz_space; ?>px; height:<?php echo $chart_height; ?>px;"></div>
		<?php
					endif;

					$time += 86400;
				endfor;
			endif;
		?>

		<?php // horizontal lines ?>
		<div style="position:absolute; width:100%; height:<?php echo $chart_height; ?>px;">
			<?php
				for ($d = $point_max; $d > 0; $d -= $division_points):
					// don't show bottom border for bottom division
					$border_bottom = $d > $division_points ? 'border-bottom:1px solid #d4d4d4;' : '';
			 ?>
					<div style="<?php echo $border_bottom; ?> height:<?php echo $division_pixels - 1; ?>px;"></div>
			<?php endfor; ?>
		</div>

		<?php // chart bars and data windows
			$time = $stats ['starting_at'];
			$current_week = $week_start;
			for ($bar = 0; $bar < count ($stats ['points']); $bar++):
				$bar_points = $stats ['points'] [$bar];
				if ($bar_points > 0):
					$bar_pixels = floor ($bar_points / $points_per_pixel);
					$from_top = $chart_height - $bar_pixels;
					$margin_left = ($bar_horiz_space * $bar) + $bar_margin;

					$half_width = floor ($bar_max / 2);
					if ($bar < $half_width)
						$data_position = 'left:'.(($bar_horiz_space * ($bar + 1)) - $bar_margin).'px;';
					else
						$data_position = 'right:'.(($bar_horiz_space * ($bar_max - $bar)) - $bar_margin).'px;';
					$data_font_size = 8;
					$data_height = $data_font_size * 4;
					$data_top = $from_top - ($data_height + 12);
					$data_id = 'bq_chart_bar_'.$bar;

					// date string for the rollover data window
					$wp_date_format = BQDownloadUtil::bq_get_option ('date_format');
					switch ($bq_download_chart_period)
					{
						case 'hour':
							$wp_time_format = BQDownloadUtil::bq_get_option ('time_format');
							$data_date_str = '<span class="bq_chart_info_window_date_str">'.date ($wp_time_format, $time).' - '.date ($wp_time_format, $time + ($period_increment - 1)).'</span>';
							break;
						case 'week':
							$data_date_str = '<span class="bq_chart_info_window_date_str">'.'Week '.$current_week.'</span>'; // always returns week number for weeks beginning on Monday
							$data_date_str .= ' ('.date ($wp_date_format, $time).' - '.date ($wp_date_format, $time + ($period_increment - 1)).')';
							break;
						case 'month':
							$data_date_str = '<span class="bq_chart_info_window_date_str">'.date ('F Y', $time).'</span>';
							break;
						case 'day':
						default:
							$data_date_str = '<span class="bq_chart_info_window_date_str">'.date ($wp_date_format, $time).'</span>';
							break;
					}
		?>
					<div id="<?php echo $data_id; ?>" class="bq_chart_info_window" style="height:<?php echo $data_height; ?>px; font-size:<?php $data_font_size; ?>px; top:<?php echo $data_top; ?>px; <?php echo $data_position; ?>">
						<?php echo $data_date_str; ?><br />
						<?php echo $bar_points.' download'.($bar_points != 1 ? 's' : ''); ?>
					</div>
				<?php endif; ?>
				<div style="position:absolute; background-color:#8db9cc; margin-left:<?php echo $margin_left; ?>px; margin-top:<?php echo $from_top; ?>px; width:<?php echo $bar_width; ?>px; height:<?php echo $bar_pixels; ?>px;"
						onmouseover="this.style.backgroundColor = '#000080'; document.getElementById ('<?php echo $data_id; ?>').style.visibility = 'visible';"
						onmouseout="this.style.backgroundColor = '#8db9cc'; document.getElementById ('<?php echo $data_id; ?>').style.visibility = 'hidden';"></div>
		<?php
				// increment the time for the next bar
				$time += !$is_month_view ? $period_increment : date ('t', $time) * 86400;
				if ($is_week_view)
				{
					++$current_week;
					if ($current_week > $highest_week_num)
						$current_week -= $highest_week_num;
				}
			endfor;
		?>

		<?php // horizontal labels (x axis)
			$label_spacing = !$is_week_view ? 3 : 1;
			$first_label = (count ($stats ['points']) + 2) % $label_spacing;
			$time = $stats ['starting_at'];
			$current_week = $week_start;
			for ($bar = 0; $bar < count ($stats ['points']); $bar++):
				if (!$is_week_view)
					$date_str = str_replace (' ', '&nbsp;', date ($x_axis_date_format, $time));
				else
					$date_str = $current_week <= $highest_week_num ? $current_week : $current_week - $highest_week_num;
				if (($bar - $first_label) % $label_spacing == 0):
					$margin_left = ($bar_horiz_space * $bar) + $bar_margin;
		?>
					<div class="bq_chart_x_axis" style="margin-left:<?php echo $margin_left; ?>px; margin-top:<?php echo $chart_height + 3; ?>px; width:<?php echo $bar_width; ?>px;"><?php echo $date_str; ?></div>
		<?php
				endif;

				// increment the time for the next bar
				$time += !$is_month_view ? $period_increment : date ('t', $time) * 86400;
				if ($is_week_view)
					++$current_week;
			endfor;
		?>
	</div>
</div>

