<?php
// Copyright Brian Quade, BQ Plugins 2012, bqplugins.com

if (!defined ('ABSPATH'))
	die ();

require_once 'bq-pager.php';
require_once 'bq-sorter.php';
require_once 'bq-chart-period.php';

	if (!isset ($emails))
		exit;

	// these variables are needed in the included html files
	$email_sorter = new BQSorter ('email');
	$sort = $email_sorter->get_field ();
	$sort_dir = $email_sorter->get_asc () ? 'asc' : 'desc';
	$sort_type = 'emails';
?>

<!-- Copyright Brian Quade, BQ Plugins 2012, bqplugins.com -->
<table class="bq_table">
	<tr class="bq_table_header">
		<th class="bq_table_cell">
			<?php echo $email_sorter->display_control (false); ?>
			<div class="bq_table_column_title">Email&nbsp;Address</div>
			<?php echo $email_sorter->display_control (true, 'email', 'Sort A - Z, 0 - 9', 'Sort Z - A, 9 - 0', 'emails'); ?>
		</th>
		<th class="bq_table_cell">
			<?php echo $email_sorter->display_control (false); ?>
			<div class="bq_table_column_title">Files&nbsp;Requested</div>
			<?php echo $email_sorter->display_control (true, 'request_count', 'Sort fewest - most', 'Sort most - fewest', 'emails'); ?>
		</th>
		<th class="bq_table_cell">
			<?php echo $email_sorter->display_control (false); ?>
			<div class="bq_table_column_title">Files Downloaded</div>
			<?php echo $email_sorter->display_control (true, 'download_count', 'Sort fewest - most', 'Sort most - fewest', 'emails'); ?>
		</th>
	</tr>

	<?php
		// only display the number of emails sent here, this might be different than the total email count
		$display_email_count = count ($emails);
		if (isset ($emails) && is_array ($emails) && $display_email_count > 0):
			for ($e = 0; $e < $display_email_count; $e++):
	?>
				<tr class="bq_table_row" onmouseover="this.className = 'bq_table_row_highlighted';" onmouseout="this.className = 'bq_table_row';">
					<td class="bq_table_cell bq_table_body_cell" style="<?php if ($e == 0) echo 'border-top:1px solid #d4d4d4;'; ?> border-left:1px solid #d4d4d4;"><?php echo $emails [$e]->email; ?></td>
					<td class="bq_table_cell bq_table_body_cell" style="<?php if ($e == 0) echo 'border-top:1px solid #d4d4d4;'; ?>"><?php echo $emails [$e]->request_count; ?></td>
					<td class="bq_table_cell bq_table_body_cell" style="<?php if ($e == 0) echo 'border-top:1px solid #d4d4d4;'; ?>"><?php echo $emails [$e]->download_count; ?></td>
				</tr>
			<?php endfor; ?>
	<?php else: ?>
		<tr class="bq_table_row">
			<td colspan="6" class="bq_table_cell bq_table_body_cell">There are no email addresses in the system.</td>
		</tr>
	<?php endif; ?>
</table>

<?php // paging controls ?>
<?php
	$email_count = BQDownloadModel::get_user_count ();
	if ($email_count > 20):
		$email_pager = new BQPager ('email', $email_count);
		$is_all = $email_pager->is_all ();
?>
		<div style="margin:8px 0 20px; text-align:center;">

			<?php
				if (!$is_all):
					$start = $email_pager->get_start ();
					$count = $email_pager->get_count ();

					$beginning_of_list = $start == 1;
					$prev_start = $beginning_of_list ? 0 : $start - $count;

					$last_page = $email_pager->get_total_pages ();
					$start_last_page = $email_pager->get_page_start ($last_page);
					$page = $email_pager->get_page ();
					$end_of_list = $page == $last_page;
					if ($end_of_list)
					{
						$next_start = 0;
						$next_count = 0;
					}
					else
					{
						$next_start = $start + $count;
						$next_count = $email_pager->get_items_on_page ($page + 1);
					}
			?>

					<?php // First and Prev controls ?>
					<div style="display:inline-block; margin-left:20px; float:left;">
						<?php if (!$beginning_of_list): ?>
							<div style="color:#21759b; cursor:pointer;" onmouseover="this.style.color = '#d54e21';" onmouseout="this.style.color = '#21759b';" onclick="bq_get_emails ('page', 1);">Front of list</div>
							<div style="color:#21759b; cursor:pointer;" onmouseover="this.style.color = '#d54e21';" onmouseout="this.style.color = '#21759b';" onclick="bq_get_emails ('page', <?php echo $prev_start; ?>);">Previous <?php echo $count; ?> emails</div>
						<?php else: ?>
							<div style="color:#888888;">Beginning of list</div>
							<div>&nbsp;</div>
						<?php endif; ?>
						<div>&nbsp;</div>
					</div>

					<?php // Last and Next controls ?>
					<div style="display:inline-block; margin-right:20px; float:right;">
						<?php if (!$end_of_list): ?>
							<div style="color:#21759b; cursor:pointer;" onmouseover="this.style.color = '#d54e21';" onmouseout="this.style.color = '#21759b';" onclick="bq_get_emails ('page', <?php echo $start_last_page; ?>);">End of list</div>
							<div style="color:#21759b; cursor:pointer;" onmouseover="this.style.color = '#d54e21';" onmouseout="this.style.color = '#21759b';" onclick="bq_get_emails ('page', <?php echo $next_start; ?>);">Next <?php echo $next_count; ?> emails</div>
						<?php else: ?>
							<div style="color:#888888;">End of list</div>
							<div>&nbsp;</div>
						<?php endif; ?>
						<div>&nbsp;</div>
					</div>
			<?php endif; ?>

			<div>
				<?php
					$count_options = $email_pager->get_count_options ();
					$count_option_html = '';
					foreach ($count_options as $option)
						$count_option_html .= '<option value="'.$option ['value'].'"'.($option ['selected'] ? ' selected="selected"' : '').'>'.$option ['text'].'</option>';
				?>
				Show
				<select onchange="bq_get_emails ('count', this.options [this.selectedIndex].value);">
					<?php echo $count_option_html; ?>
				</select>
				emails
			</div>

			<?php if (!$is_all): ?>
				<div>
					<?php
						// create the list of pages to choose from
						$page_options = $email_pager->get_page_options ();
						$page_option_html = '';
						foreach ($page_options as $option)
							$page_option_html .= '<option value="'.$option ['start'].'"'.($option ['selected'] ? ' selected="selected"' : '').'>Page '.$option ['page'].': Files '.$option ['start'].' - '.$option ['end'].'</option>';
					?>
					Showing
					<select onchange="bq_get_emails ('page', this.options [this.selectedIndex].value);">
						<?php echo $page_option_html; ?>
					</select>
					of <?php echo $email_count; ?> emails
				</div>
			<?php endif; ?>

		</div>
<?php endif; ?>
