<?php
// Copyright Brian Quade, BQ Plugins 2012, bqplugins.com

if (!defined ('ABSPATH'))
	die ();

require_once 'bq-pager.php';
require_once 'bq-sorter.php';
require_once 'bq-chart-period.php';

	if (!isset ($files))
		exit;

	// these variables are needed in the included html files
	$file_sorter = new BQSorter ('file');
	$sort = $file_sorter->get_field ();
	$sort_dir = $file_sorter->get_asc () ? 'asc' : 'desc';
	$sort_type = 'files';
?>

<!-- Copyright Brian Quade, BQ Plugins 2012, bqplugins.com -->
<table class="bq_table">
	<tr class="bq_table_header">
		<th class="bq_table_cell">
			<?php echo $file_sorter->display_control (false); ?>
			<div class="bq_table_column_title">File Name</div>
			<?php echo $file_sorter->display_control (true, 'name', 'Sort A - Z, 0 - 9', 'Sort Z - A, 9 - 0', 'files'); ?>
		</th>
		<th class="bq_table_cell">
			<?php echo $file_sorter->display_control (false); ?>
			<div class="bq_table_column_title">Downloads</div>
			<?php echo $file_sorter->display_control (true, 'download_count', 'Sort fewest - most', 'Sort most - fewest', 'files'); ?>
		</th>
		<th class="bq_table_cell">
			<?php echo $file_sorter->display_control (false); ?>
			<div class="bq_table_column_title">Size</div>
			<?php echo $file_sorter->display_control (true, 'size', 'Sort smallest - largest', 'Sort largest - smallest', 'files'); ?>
		</th>
		<th class="bq_table_cell">
			<?php echo $file_sorter->display_control (false); ?>
			<div class="bq_table_column_title">Last&nbsp;Download</div>
			<?php echo $file_sorter->display_control (true, 'last_downloaded', 'Sort oldest - newest', 'Sort newest - oldest', 'files'); ?>
		</th>
		<th class="bq_table_cell">
			<?php echo $file_sorter->display_control (false); ?>
			<div class="bq_table_column_title">Uploaded</div>
			<?php echo $file_sorter->display_control (true, 'last_uploaded', 'Sort oldest - newest', 'Sort newest - oldest', 'files'); ?>
		</th>
		<th class="bq_table_cell"></th>
	</tr>

	<?php
		// only display the number of files sent here, this might be different than the total file count
		$display_file_count = count ($files);
		if (isset ($files) && is_array ($files) && $display_file_count > 0):
			for ($f = 0; $f < $display_file_count; $f++):
	?>
				<tr class="bq_table_row" onmouseover="this.className = 'bq_table_row_highlighted';" onmouseout="this.className = 'bq_table_row';">
					<td class="bq_table_cell bq_table_body_cell" style="<?php if ($f == 0) echo 'border-top:1px solid #d4d4d4;'; ?> border-left:1px solid #d4d4d4; white-space:nowrap;"><?php echo $files [$f]->name; ?></td>
					<?php
						$download_path = BQDownloadUtil::get_download_path ();
						if (file_exists ($download_path.'/'.$files [$f]->name)):
					?>
							<td class="bq_table_cell bq_table_body_cell" style="<?php if ($f == 0) echo 'border-top:1px solid #d4d4d4;'; ?> white-space:nowrap;"><?php echo $files [$f]->download_count; ?></td>
							<td class="bq_table_cell bq_table_body_cell" style="<?php if ($f == 0) echo 'border-top:1px solid #d4d4d4;'; ?> white-space:nowrap;" title="<?php echo $files [$f]->size_title; ?>"><?php echo $files [$f]->size_text; ?></td>
							<td class="bq_table_cell bq_table_body_cell" style="<?php if ($f == 0) echo 'border-top:1px solid #d4d4d4;'; ?> white-space:nowrap;" title="<?php echo $files [$f]->last_downloaded_title; ?>"><?php echo $files [$f]->last_downloaded_text; ?></td>
							<td class="bq_table_cell bq_table_body_cell" style="<?php if ($f == 0) echo 'border-top:1px solid #d4d4d4;'; ?> white-space:nowrap;" title="<?php echo $files [$f]->last_uploaded_title; ?>"><?php echo $files [$f]->last_uploaded_text; ?></td>
					<?php else: ?>
							<td colspan="4" class="bq_table_cell bq_table_body_cell" style="<?php if ($f == 0) echo 'border-top:1px solid #d4d4d4;'; ?> color:red; white-space:nowrap;">File Not Found</td>
					<?php endif; ?>
					<td class="bq_table_cell bq_table_body_cell" style="<?php if ($f == 0) echo 'border-top:1px solid #d4d4d4;'; ?> border-right:1px solid #d4d4d4; white-space:nowrap;"><span class="add-new-h2" style="color:#21759b; cursor:pointer; top:0px; vertical-align:middle;" title="Delete <?php echo $files [$f]->name; ?>." onmouseover="this.style.color = '#d54e21';" onmouseout="this.style.color = '#21759b';" onclick="bq_delete_file (<?php echo $files [$f]->id; ?>);">Delete</span></td>
				</tr>
			<?php endfor; ?>
	<?php else: ?>
		<tr class="bq_table_row">
			<td colspan="6" class="bq_table_cell bq_table_body_cell">There are no files in the system.</td>
		</tr>
	<?php endif; ?>
</table>

<?php // paging controls ?>
<?php
	$file_count = BQDownloadModel::get_file_count ();
	if ($file_count > 20):
		$file_pager = new BQPager ('file', $file_count);
		$is_all = $file_pager->is_all ();
?>
		<div style="margin:8px 0 20px; text-align:center;">

			<?php
				if (!$is_all):
					$start = $file_pager->get_start ();
					$count = $file_pager->get_count ();

					$beginning_of_list = $start == 1;
					$prev_start = $beginning_of_list ? 0 : $start - $count;

					$last_page = $file_pager->get_total_pages ();
					$start_last_page = $file_pager->get_page_start ($last_page);
					$page = $file_pager->get_page ();
					$end_of_list = $page == $last_page;
					if ($end_of_list)
					{
						$next_start = 0;
						$next_count = 0;
					}
					else
					{
						$next_start = $start + $count;
						$next_count = $file_pager->get_items_on_page ($page + 1);
					}
			?>

					<?php // First and Prev controls ?>
					<div style="display:inline-block; margin-left:20px; float:left;">
						<?php if (!$beginning_of_list): ?>
							<div style="color:#21759b; cursor:pointer;" onmouseover="this.style.color = '#d54e21';" onmouseout="this.style.color = '#21759b';" onclick="bq_get_files ('page', 1);">Beginning of list</div>
							<div style="color:#21759b; cursor:pointer;" onmouseover="this.style.color = '#d54e21';" onmouseout="this.style.color = '#21759b';" onclick="bq_get_files ('page', <?php echo $prev_start; ?>);">Previous <?php echo $count; ?> files</div>
						<?php else: ?>
							<div style="color:#888888;">Beginning of list</div>
							<div>&nbsp;</div>
						<?php endif; ?>
						<div>&nbsp;</div>
					</div>

					<?php // Last and Next controls ?>
					<div style="display:inline-block; margin-right:20px; float:right;">
						<?php if (!$end_of_list): ?>
							<div style="color:#21759b; cursor:pointer;" onmouseover="this.style.color = '#d54e21';" onmouseout="this.style.color = '#21759b';" onclick="bq_get_files ('page', <?php echo $start_last_page; ?>);">End of list</div>
							<div style="color:#21759b; cursor:pointer;" onmouseover="this.style.color = '#d54e21';" onmouseout="this.style.color = '#21759b';" onclick="bq_get_files ('page', <?php echo $next_start; ?>);">Next <?php echo $next_count; ?> files</div>
						<?php else: ?>
							<div style="color:#888888;">End of list</div>
							<div>&nbsp;</div>
						<?php endif; ?>
						<div>&nbsp;</div>
					</div>
			<?php endif; ?>

			<div>
				<?php
					$count_options = $file_pager->get_count_options ();
					$count_option_html = '';
					foreach ($count_options as $option)
						$count_option_html .= '<option value="'.$option ['value'].'"'.($option ['selected'] ? ' selected="selected"' : '').'>'.$option ['text'].'</option>';
				?>
				Show
				<select onchange="bq_get_files ('count', this.options [this.selectedIndex].value);">
					<?php echo $count_option_html; ?>
				</select>
				files
			</div>

			<?php if (!$is_all): ?>
				<div>
					<?php
						// create the list of pages to choose from
						$page_options = $file_pager->get_page_options ();
						$page_option_html = '';
						foreach ($page_options as $option)
							$page_option_html .= '<option value="'.$option ['start'].'"'.($option ['selected'] ? ' selected="selected"' : '').'>Page '.$option ['page'].': Files '.$option ['start'].' - '.$option ['end'].'</option>';
					?>
					Showing
					<select onchange="bq_get_files ('page', this.options [this.selectedIndex].value);">
						<?php echo $page_option_html; ?>
					</select>
					of <?php echo $file_count; ?> files
				</div>
			<?php endif; ?>

		</div>
<?php endif; ?>
