<?php
	// Copyright Brian Quade, BQ Plugins 2012, bqplugins.com

	if (!defined ('ABSPATH'))
		die ();

	require_once 'bq-download-util.php';

	// build the url
	$plugin_url = plugins_url ('', __FILE__);
	$plugin_data = get_plugin_data (dirname (__FILE__).'/init.php');
?>

<?php echo BQDownloadUtil::get_version_check (); ?>

<!-- Copyright Brian Quade, BQ Plugins 2012, bqplugins.com -->
<div class="wrap" style="padding-left:10px;">
	<div class="bq_admin_header">
		<img src="<?php echo $plugin_url.'/logo.png'; ?>" class="bq_admin_logo" alt="bq plugins" />
		<span class="bq_admin_page"><?php echo $plugin_data ['Name']; ?> Help</span>
	</div>

	<?php
		if (isset ($bq_page_error) && $bq_page_error !== null)
		{
			echo $bq_page_error;
			exit;
		}
	?>

	<div class="bq_admin_page_section">
		<div class="bq_admin_page_section_title">Uploading Files</div>
		<div id="bq_download_help_upload" class="bq_admin_page_section_content" style="display:block; border:1px solid #bbbbbb;">
			Use the <span class="add-new-h2" onmouseout="this.style.color = '#21759b';" onmouseover="this.style.color = '#d54e21';" style="color: rgb(33, 117, 155); cursor: pointer; top: 0px; vertical-align: middle;">Add File</span> button at the top of the File Stats page to upload one file at a time.<br />
			<div style="margin:5px 0 5px 0em; font-style:italic;">~ OR ~</div>
			Upload multiple files manually to the <span style="font-weight:bold;"><?php echo BQDownloadUtil::get_download_path (); ?></span> directory on your server.
			<?php if (is_multisite ()): ?>
				<br />
				You are using a multisite installation. The file directory will be different for each blog.
			<?php endif; ?>
		</div>
	</div>

	<div class="bq_admin_page_section">
		<div class="bq_admin_page_section_title">Deleting Files</div>
		<div id="bq_download_help_delete" class="bq_admin_page_section_content" style="display:block; border:1px solid #bbbbbb;">
			Use the <span class="add-new-h2" onmouseout="this.style.color = '#21759b';" onmouseover="this.style.color = '#d54e21';" style="color: rgb(33, 117, 155); cursor: pointer; top: 0px; vertical-align: middle;">Delete</span> button on the File Stats page to delete one file at a time.<br />
			<div style="margin:5px 0 5px 0em; font-style:italic;">~ OR ~</div>
			Delete multiple files manually from the <span style="font-weight:bold;"><?php echo BQDownloadUtil::get_download_path (); ?></span> directory on your server.
			<?php if (is_multisite ()): ?>
				<br />
				You are using a multisite installation. The file directory will be different for each blog.
			<?php endif; ?>
		</div>
	</div>

	<div class="bq_admin_page_section">
		<div class="bq_admin_page_section_title">Using the Shortcode</div>
		<div id="bq_download_help_controls" class="bq_admin_page_section_content" style="display:block; border:1px solid #bbbbbb;">
			You can give visitors to your site a way to download your files by putting buttons, links and forms in your content.
			This is done by using the bqdownload shortcode. The following shortcode text will produce the download button shown.<br />
			<br />
			<span style="font-size:larger;">[bqdownload <span style="font-weight:bold;">file</span>="myfile.txt" <span style="font-weight:bold;">style</span>="button" <span style="font-weight:bold;">color</span>="blue"]</span><br />
						<?php
							$iframe_id = 'bq_demo';
							$file_id = 0;
							$demo = true;
							$filename = 'myfile.txt';
							$style = 'button';
							$color = 'blue';
							ob_start ();
							include dirname (__FILE__).'/bq-download-control.html.php';
							$control_html = ob_get_clean ();
							echo $control_html;
						?>
			<br />
			<br />
			<div style="margin-top:18px; display:inline-block;">
				<div class="bq_help_table_title">The <span style="font-weight:bold;">bqdownload</span> shortcode parameters</div>
				<div>
					<table>
						<tr style="background-color:#eeeeee;">
							<td class="bq_help_table_cell" style="vertical-align:top; font-weight:bold;">file</td>
							<td class="bq_help_table_cell">
								The name of the file.
								<?php if (false): ?>
									The file must exist in <span style="color:#000080;"><?php echo BQDownloadUtil::get_download_path (); ?></span>
								<?php endif; ?>
								<br />
								Required.
							</td>
						</tr>
						<tr style="background-color:#eeeeee;">
							<td class="bq_help_table_cell" style="vertical-align:top; font-weight:bold;">style</td>
							<td class="bq_help_table_cell">
								The style of download control to display in the content of your page or post.<br />
								Optional.<br />
								<br />
								Options:<br />
									<span style="margin-left:1em;">-</span> <span style="font-weight:bold;">button</span> (default)<br />
									<span style="margin-left:1em;">-</span> <span style="font-weight:bold;">link</span><br />
									<span style="margin-left:1em;">-</span> <span style="font-weight:bold;">emailform</span> (emails file to recipient)
							</td>
						</tr>
						<tr style="background-color:#eeeeee;">
							<td class="bq_help_table_cell" style="vertical-align:top; font-weight:bold;">color</td>
							<td class="bq_help_table_cell">
								The color of the button. Applies only when <span style="font-weight:bold;">style="button"</span>.<br />
								Optional.<br />
								<br />
								Options:<br />
									<span style="margin-left:1em;">-</span> <span style="font-weight:bold;">red</span> (default)<br />
									<span style="margin-left:1em;">-</span> <span style="font-weight:bold;">green</span><br />
									<span style="margin-left:1em;">-</span> <span style="font-weight:bold;">blue</span><br />
							</td>
						</tr>
						<tr style="background-color:#eeeeee;">
							<td class="bq_help_table_cell" style="vertical-align:top; font-weight:bold;">attach</td>
							<td class="bq_help_table_cell">
								Determines how a file will be sent to a user. Applies only when <span style="font-weight:bold;">style="emailform"</span>.<br />
								Optional.<br />
								<br />
								Options:<br />
									<span style="margin-left:1em;">-</span> <span style="font-weight:bold;">true</span>: Email the file as an attachment.<br />
									<span style="margin-left:1em;">-</span> <span style="font-weight:bold;">false</span> (default): Email a link (good for one download only) to download the file.<br />
								<br />
								<span style="font-weight:bold;">Warning:</span>
								Each email server has its own file size limitations.
								Your email recipient might also have file size restrictions.
								Test this feature before using it. It might not work with all server configurations.
							</td>
						</tr>
					</table>
				</div>
			</div>

			<div style="margin-top:18px; display:inline-block;">
				<div class="bq_help_table_title">Shortcode Examples</div>
				<div>
					<table>
						<?php
							$iframe_id = 'bq_demo';
							$file_id = 0;
							$demo = true;

							$filename = 'buttonfile.ext';
							$style = 'button';
							$color = 'red';
							ob_start ();
							include dirname (__FILE__).'/bq-download-control.html.php';
							$control_html = ob_get_clean ();
						?>
						<tr style="background-color:#eeeeee;">
							<td class="bq_help_table_cell">[bqdownload <span style="font-weight:bold;">file</span>="<?php echo $filename; ?>" <span style="font-weight:bold;">style</span>="<?php echo $style; ?>"]</td>
							<td class="bq_help_table_cell"><?php echo $control_html; ?></td>
						</tr>

						<?php
							$filename = 'buttonfile.ext';
							$style = 'button';
							$color = 'blue';
							ob_start ();
							include dirname (__FILE__).'/bq-download-control.html.php';
							$control_html = ob_get_clean ();
						?>
						<tr style="background-color:#eeeeee;">
							<td class="bq_help_table_cell">[bqdownload <span style="font-weight:bold;">file</span>="<?php echo $filename; ?>" <span style="font-weight:bold;">style</span>="<?php echo $style; ?>" <span style="font-weight:bold;">color</span>="<?php echo $color; ?>"]</td>
							<td class="bq_help_table_cell"><?php echo $control_html; ?></td>
						</tr>

						<?php
							$filename = 'buttonfile.ext';
							$style = 'button';
							$color = 'green';
							ob_start ();
							include dirname (__FILE__).'/bq-download-control.html.php';
							$control_html = ob_get_clean ();
						?>
						<tr style="background-color:#eeeeee;">
							<td class="bq_help_table_cell">[bqdownload <span style="font-weight:bold;">file</span>="<?php echo $filename; ?>" <span style="font-weight:bold;">style</span>="<?php echo $style; ?>" <span style="font-weight:bold;">color</span>="<?php echo $color; ?>"]</td>
							<td class="bq_help_table_cell"><?php echo $control_html; ?></td>
						</tr>

						<?php
							$filename = 'linkfile.ext';
							$style = 'link';
							ob_start ();
							include dirname (__FILE__).'/bq-download-control.html.php';
							$control_html = ob_get_clean ();
						?>
						<tr style="background-color:#eeeeee;">
							<td class="bq_help_table_cell">[bqdownload <span style="font-weight:bold;">file</span>="<?php echo $filename; ?>" <span style="font-weight:bold;">style</span>="<?php echo $style; ?>"]</td>
							<td class="bq_help_table_cell"><?php echo $control_html; ?></td>
						</tr>

						<?php
							$filename = 'formfile.ext';
							$style = 'emailform';
							$form_email_id = 'bq_demo';
							ob_start ();
							include dirname (__FILE__).'/bq-download-email-form.html.php';
							$control_html = ob_get_clean ();
						?>
						<tr style="background-color:#eeeeee;">
							<td class="bq_help_table_cell">[bqdownload <span style="font-weight:bold;">file</span>="<?php echo $filename; ?>" <span style="font-weight:bold;">style</span>="<?php echo $style; ?>"]</td>
							<td class="bq_help_table_cell"><?php echo $control_html; ?></td>
						</tr>
					</table>
				</div>
			</div>
		</div>
	</div>

	<div class="bq_admin_page_section">
		<div class="bq_admin_page_section_title">Viewing Stats</div>
		<div id="bq_download_help_stats" class="bq_admin_page_section_content" style="display:block; border:1px solid #bbbbbb;">
			An example of a 30-day chart. Weekend days are shaded and each bar represents one day.<br />
			<img src="<?php echo $plugin_url.'/screenshot-2.jpg'; ?>" style="width:100%;" alt="30day" /><br />
			<br />
			The 24-month chart can show long term trends.<br />
			<img src="<?php echo $plugin_url.'/screenshot-3.jpg'; ?>" style="width:100%;" alt="24month" /><br />
			<br />
			The File List shows the following columns:<br />
			<table style="margin-left:1em;">
				<tr>
					<td style="font-weight:bold; text-align:right; vertical-align:top;">File Name:</td>
					<td style="vertical-align:top;">Name of the file in the system.</td>
				</tr>
				<tr>
					<td style="font-weight:bold; text-align:right; vertical-align:top;">Downloads:</td>
					<td style="vertical-align:top;">Number of times it has been downloaded.</td>
				</tr>
				<tr>
					<td style="font-weight:bold; text-align:right; vertical-align:top;">Size:</td>
					<td style="vertical-align:top;">Size of the file.</td>
				</tr>
				<tr>
					<td style="font-weight:bold; text-align:right; vertical-align:top;">Last Download:</td>
					<td style="vertical-align:top;">Date and time it was last downloaded.</td>
				</tr>
				<tr>
					<td style="font-weight:bold; text-align:right; vertical-align:top;">Uploaded:</td>
					<td style="vertical-align:top;">Date and time it was uploaded to the system.</td>
				</tr>
			</table><br />
			<img src="<?php echo $plugin_url.'/screenshot-6.jpg'; ?>" style="width:100%;" alt="file_list" /><br />
			The Email List shows the following columns:<br />
			<table style="margin-left:1em;">
				<tr>
					<td style="font-weight:bold; text-align:right; vertical-align:top;">Email&nbsp;Address:</td>
					<td style="vertical-align:top;">Email address where files have been sent.</td>
				</tr>
				<tr>
					<td style="font-weight:bold; text-align:right; vertical-align:top;">Files&nbsp;Requested:</td>
					<td style="vertical-align:top;">Number of files requested to be sent to the email address.</td>
				</tr>
				<tr>
					<td style="font-weight:bold; text-align:right; vertical-align:top;">Files&nbsp;Downloaded:</td>
					<td style="vertical-align:top;">
						Number of files that were actually received at this email address.
						If a download link was sent to an email address, but the link was never clicked on, the file will not be considered downloaded.
					</td>
				</tr>
			</table><br />
			<img src="<?php echo $plugin_url.'/screenshot-7.jpg'; ?>" style="width:100%;" alt="email_list" /><br />
		</div>
	</div>
</div>

