<?php
	// Copyright Brian Quade, BQ Plugins 2012, bqplugins.com

	if (!defined ('ABSPATH'))
		die ();

	require_once 'bq-download-util.php';

	// build the url
	$plugin_url = plugins_url ('', __FILE__);
	$plugin_data = get_plugin_data (dirname (__FILE__).'/init.php');

	$return_email = BQDownloadUtil::bq_get_option ('bq_download_return_email');
	$db_version = BQDownloadUtil::bq_get_option ('bq_download_db_version', 1);
?>

<?php echo BQDownloadUtil::get_version_check (); ?>

<!-- Copyright Brian Quade, BQ Plugins 2012, bqplugins.com -->
<div class="wrap" style="padding-left:10px;">
	<div class="bq_admin_header">
		<img src="<?php echo $plugin_url.'/logo.png'; ?>" class="bq_admin_logo" alt="bq plugins" />
		<span class="bq_admin_page"><?php echo $plugin_data ['Name']; ?> Settings</span>
	</div>

<?php
	if (isset ($bq_page_error) && $bq_page_error !== null)
	{
		echo $bq_page_error;
		exit;
	}
?>

	<div id="bq_download_message" class="bq_message">&nbsp;</div>

	<div style="margin-bottom:20px;">
		<table>
			<!-- return email -->
			<tr>
				<td style="vertical-align:top;">
					<input id="bq_settings_return_email" type="text" value="<?php echo $return_email; ?>" />
				</td>
				<td style="vertical-align:top; padding:0 25% 0 16px;">
					<div style="font-size:larger; font-weight:bold;">Return Email</div>
					This is the return email address for email messages sending files.
					In order to prevent spam, some mail servers require this to be an existing email account.
				</td>
			</tr>

			<tr><td>&nbsp;</td><td>&nbsp;</td></tr>

			<!-- file directory, read only -->
			<tr>
				<td style="vertical-align:top;">
					<?php echo BQDownloadUtil::get_download_path (); ?>
				</td>
				<td style="vertical-align:top; padding:0 25% 0 16px;">
					<div style="font-size:larger; font-weight:bold;">File Directory (Read-Only)</div>
					This is the directory on your server where files are stored.
					You can add and remove files from the system by uploading or deleting files in this directory.
				</td>
			</tr>
		</table>
	</div>

	<div class="bq_admin_save_button" style="margin:0 0 30px 30px;"
			onmouseover="this.style.borderColor = '#666666'; this.style.color = '#000000';"
			onmouseout="this.style.borderColor = '#bbbbbb'; this.style.color = '#464646';"
			onclick="bq_download_save_settings (document.getElementById ('bq_settings_return_email').value);">
		Save Settings
	</div>
</div>

