<?php
// Copyright Brian Quade, BQ Plugins 2012, bqplugins.com

if (!defined ('ABSPATH'))
	die ();

require_once 'bq-download-model.php';
require_once 'bq-download-util.php';

class BQDownloadUser
{
	public static function ajax_email_file ()
	{
//		header ('Content-Type: text/plain; charset=utf-8;');
		header ('Cache-Control: no-cache');

//		if (!isset ($_POST ['f']) || empty ($_POST ['f']))
//			die;

		$response = new stdClass ();
//		$function = $_POST ['f'];

		// perform the action
//		switch ($function)
//		{
//			case 'email_file':
				$file = $_POST ['file'];
				$file_id = BQDownloadModel::get_file_id_by_name ($file);
				$attach = strcmp ($_POST ['attach'], 'true') == 0;
				$email = $_POST ['email'];
				$email_id = BQDownloadModel::get_user_id_by_email ($email);

				// verify the nonce that sends the email to the user
				$nonce = $_POST ['n'];
				if (BQDownloadUtil::verify_wp_nonce ($nonce, 'email-file', $file.'_'.$_POST ['attach']) === false)
					die;

				// email the file
				$site_name = BQDownloadUtil::bq_get_option ('blogname');
				$site_url = BQDownloadUtil::bq_get_option ('siteurl');

				$return_email = BQDownloadUtil::bq_get_option ('bq_download_return_email');
				$headers = array ("From: $site_name <$return_email>", 'Content-Type: text/html');
				$headers = implode ("\r\n", $headers)."\r\n";

				$subject = "$file.' from '.$site_name";

				$email_success = false;
				if ($attach)
				{
					$message = 'The file you requested from <a href="'.$site_name.'">'.$site_url.'</a> is attached.';
					$html_message = "<html><body>$message</body></html>";
/*
					ob_start ();
					get_header ();
					echo '<h2>'.$message.'</h2>';
//					get_sidebar ();
					get_footer ();
					$html_message = ob_get_clean ();
*/

					$fullpath = realpath (BQDownloadUtil::get_download_path ().'/'.$file);
					if (empty ($fullpath) || !file_exists ($fullpath))
						die;

					$email_success = wp_mail ($email, $subject, $html_message, $headers, $fullpath);
					if ($email_success)
					{
						// add the user if it is a new one
						if (!$email_id)
							$email_id = BQDownloadModel::add_user ($email);

						// add the download
						BQDownloadModel::add_download ($file_id, $email_id);
					}
				}
				else // sending an email with a download link in it
				{
					// make sure the nonce has not already been used, 20 attempts should suffice
					$nonce_attempt = 0;
					$nonce_already_exists = false;
					do
					{
						$download_key = BQDownloadUtil::create_nonce (32, 32);
						$nonce_already_exists = BQDownloadModel::download_key_already_exists ($download_key);
					}
					while ($nonce_already_exists && ++$nonce_attempt < 20);

					$request_made = false;
					if (!$nonce_already_exists)
						$request_made = BQDownloadModel::add_download_request ($email, $file, $download_key);

					if ($request_made)
					{
						// create the nonce that allows the user to download the file
						$dl_nonce = BQDownloadUtil::create_wp_nonce ('download-file', $file.'_'.$file_id);

						$download_url = BQDownloadUtil::bq_get_option ('siteurl').'?x=dl&f='.$file_id.'&k='.urlencode ($download_key).'&e='.$email_id.'&n='.$dl_nonce;
						$message = 'The file you requested from <a href="'.$site_name.'">'.$site_url.
									'</a> is available for download at '.$download_url.'.';
						$html_message = "<html><body>$message</body></html>";
/*
						ob_start ();
						get_header ();
						echo '<h2>'.$message.'</h2>';
//						get_sidebar ();
						get_footer ();
						$html_message = ob_get_clean ();
*/
						$email_success = wp_mail ($email, $subject, $html_message, $headers);
					}
				}

				if ($email_success)
				{
					$response->success = true;
					$response->email = $email;
				}
				else
					$response->success = false;

//				break;
//		}

		die (json_encode ($response));
	}
}
?>
