// Copyright Brian Quade, BQ Plugins 2012, bqplugins.com

var bq_message_interval = null;
var bq_message_timeout = null;
var bq_current_opacity = 0;

function bq_increment_message_opacity ()
{
	var bq_download_message = document.getElementById ('bq_download_message');

	if (navigator.appName == 'Microsoft Internet Explorer' && navigator.userAgent.indexOf ('MSIE') != -1)
	{
		// IE
		bq_current_opacity += 2;
		if (bq_current_opacity >= 100)
			bq_current_opacity = 100;

		bq_download_message.style.filter = 'alpha(opacity=' + bq_current_opacity + ')';

		if (bq_current_opacity >= 100)
		{
			clearInterval (bq_message_interval);
			bq_message_interval = null;
		}
	}
	else if (typeof bq_download_message.style.opacity != 'undefined')
	{
		bq_current_opacity += 0.02;
		if (bq_current_opacity >= 1)
			bq_current_opacity = 1;

		bq_download_message.style.opacity = bq_current_opacity;

		if (bq_current_opacity >= 1)
		{
			clearInterval (bq_message_interval);
			bq_message_interval = null;
		}
	}
	else
	{
		bq_download_message.style.opacity = 1;
		bq_download_message.style.filter = 'alpha(opacity=100)';
		clearInterval (bq_message_interval);
		bq_message_interval = null;
	}
}

function bq_decrement_message_opacity ()
{
	var bq_download_message = document.getElementById ('bq_download_message');
	if (navigator.appName == 'Microsoft Internet Explorer' && navigator.userAgent.indexOf ('MSIE') != -1)
	{
		// IE
		bq_current_opacity -= 2;
		if (bq_current_opacity <= 0)
			bq_current_opacity = 0;

		bq_download_message.style.filter = 'alpha(opacity=' + bq_current_opacity + ')';
	}
	else if (typeof bq_download_message.style.opacity != 'undefined')
	{
		bq_current_opacity -= 0.02;
		if (bq_current_opacity <= 0)
			bq_current_opacity = 0;

		bq_download_message.style.opacity = bq_current_opacity;
	}
	else
		bq_current_opacity = 0;

	if (bq_current_opacity <= 0)
	{
		clearInterval (bq_message_interval);
		bq_message_interval = null;
		bq_download_message.innerHTML = '&nbsp;';
	}
}

function bq_show_message (message)
{
	if (bq_message_interval !== null)
	{
		clearInterval (bq_message_interval);
		bq_message_interval = null;
	}

	var bq_download_message = document.getElementById ('bq_download_message');

	bq_download_message.style.opacity = 0;
	bq_download_message.style.filter = 'alpha(opacity = 0)';

	bq_download_message.innerHTML = message;

	bq_message_interval = setInterval (bq_increment_message_opacity, 10);
}

function bq_clear_message ()
{
	if (bq_message_interval !== null)
	{
		clearInterval (bq_message_interval);
		bq_message_interval = null;
	}

	var bq_download_message = document.getElementById ('bq_download_message');

	bq_message_interval = setInterval (bq_decrement_message_opacity, 10);
}

function bq_is_message_clear ()
{
	return document.getElementById ('bq_download_message').innerHTML == '&nbsp;';
}

function bq_process_message (response)
{
	if (typeof response.error != 'undefined' && response.error.length)
		bq_show_message ('<span style="color:red;">' + response.error + '</span>');
	else if (typeof response.message != 'undefined' && response.message.length)
	{
		bq_show_message ('<span style="color:#008800;">' + response.message + '</span>');
		bq_message_timeout = setTimeout (bq_clear_message, 5000);
	}
	else
		bq_clear_message ();
}

