<?php
	// Copyright Brian Quade, BQ Plugins 2012, bqplugins.com

	if (!defined ('ABSPATH'))
		die ();

	if ($download_key_used)
	{
		get_header ();
		echo '<div style="margin:40px 0;"><h2>The download key you sent has already been used. Please go to <a href="'.BQDownloadUtil::bq_get_option ('siteurl').'">'.BQDownloadUtil::bq_get_option ('blogname').'</a> in order to download the file.</h2></div>';
//		get_sidebar ();
		get_footer ();
		die;
	}

	if (!isset ($file_id) || !isset ($file_name))
		exit;

	require_once 'bq-download-util.php';
	require_once 'bq-download-model.php';

	// get the full path to the file to download
	$fullpath = realpath (BQDownloadUtil::get_download_path ().'/'.$file_name);
	if (empty ($fullpath) || !file_exists ($fullpath))
		exit;

	if (!isset ($download_key) || $download_key === null) // no download key, request was from button or link
	{
		// record the download in the database
		BQDownloadModel::add_download ($file_id);
	}
	else // download key was emailed to user
	{
		// record the download in the database
		BQDownloadModel::finish_download_request ($file_id, $email_id, $download_key);
	}

	header ("Pragma: public"); // IE
//	header ("Expires: 0");
	header ("Cache-Control: must-revalidate, post-check=0, pre-check=0");
//	header ("Cache-Control: public");
	header ("Content-Type: application/octet-stream");
	header ("Content-Transfer-Encoding: Binary");
	header ("Content-Length: ".filesize ($fullpath));
	header ("Content-Disposition: attachment; filename=\"$file_name\"");
	ob_end_flush ();
	readfile ($fullpath);
?>
