<?php
/*
Plugin Name: Download Manager MS
Plugin URI: http://bqplugins.com/bq-download
Description: Download manager with multisite support, download buttons and forms, easy file uploads, stats charts and much more.
Version: 1.1.0
Author: bquade
Author URI: http://bqplugins.com
License: 
*/

// Copyright Brian Quade, BQ Plugins 2012, bqplugins.com

if (!defined ('ABSPATH'))
	die ();

require_once 'bq-download.php';
require_once 'bq-download-model.php';
require_once 'bq-download-admin.php';
require_once 'bq-download-user.php';

function setup_menu ()
{
	add_menu_page ('Downloads Manager', 'Downloads', 'manage_options', 'bq-download-menu', array ('BQDownload', 'show_settings_page'), null, 40);
	add_submenu_page ('bq-download-menu', 'Download Manager File Stats', 'File Stats', 'upload_files', 'bq-download-menu-files', array ('BQDownload', 'show_files_page'));
	add_submenu_page ('bq-download-menu', 'Download Manager Email User Stats', 'Email Stats', 'upload_files', 'bq-download-menu-email', array ('BQDownload', 'show_emails_page'));
	add_submenu_page ('bq-download-menu', 'Download Manager Help', 'Help', 'upload_files', 'bq-download-menu-help', array ('BQDownload', 'show_help_page'));
	add_submenu_page ('bq-download-menu', 'About Download Manager', 'About', 'read', 'bq-download-menu-about', array ('BQDownload', 'show_about_page'));
}

register_activation_hook (__FILE__, array ('BQDownload', 'on_activation'));
add_action ('plugins_loaded', array ('BQDownload', 'on_load'));
add_action ('init', array ('BQDownload', 'on_init'));
register_deactivation_hook (__FILE__, array ('BQDownload', 'on_deactivation'));

add_action ('admin_head', array ('BQDownload', 'add_admin_inline_scripts'));
add_action ('admin_enqueue_scripts', array ('BQDownload', 'add_admin_script_files'));
add_action ('wp_ajax_bq_download_admin', array ('BQDownloadAdmin', 'ajax_admin'));
add_action ('admin_menu', 'setup_menu');
//add_action ('network_admin_menu', 'setup_menu');

add_action ('wp_head', array ('BQDownload', 'add_inline_scripts'));
add_action ('wp_enqueue_scripts', array ('BQDownload', 'add_script_files'));
add_action ('wp_ajax_bq_download_email_file', array ('BQDownloadUser', 'ajax_email_file'));

add_shortcode ('bqdownload', array ('BQDownload', 'bq_download'));

// this makes sure that the inline-block download buttons will remain inline, wpautop interferes with that
if (has_filter ('the_content', 'wpautop'))
{
	if (!class_exists ('BQAutoBR'))
		require_once 'bq-autobr.php';

	remove_filter ('the_content', 'wpautop');
//	remove_filter ('the_excerpt', 'wpautop');
	add_filter ('the_content', array ('BQAutoBR', 'autobr'));
//	add_filter ('the_excerpt', array ('BQAutoBR', 'autobr'));
}

?>
