<?php
// Copyright Brian Quade, BQ Plugins 2012, bqplugins.com

if (!defined ('ABSPATH') || !defined ('WP_UNINSTALL_PLUGIN') || (is_multisite () ? !is_super_admin () : !current_user_can ('delete_plugins')))
    exit;

require_once 'bq-download-util.php';
require_once 'bq-download-model.php';
//require_once 'bq-pager.php';
//require_once 'bq-sorter.php';
//require_once 'bq-chart-period.php';

// expire all known cookies
//BQPager::expire ();
//BQSorter::expire ();
//BQChartPeriod::expire ();

// remove all directories where files are stored
// and all options

if (is_multisite ())
{
	$multisite_list = BQDownloadModel::get_multisite_list ();
	foreach ($multisite_list as $blog_id)
	{
		BQDownloadUtil::remove_download_dir ($blog_id); // removes bq_download_dir option
		BQDownloadUtil::bq_delete_option ('bq_download_return_email', $blog_id);
	}
}
else
{
	BQDownloadUtil::remove_download_dir (); // removes bq_download_dir option
	BQDownloadUtil::bq_delete_option ('bq_download_return_email');
}

// remove the database
BQDownloadModel::remove_database (); // removes bq_download_db_version option
?>
